ormolu-0.7.2.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | GHC2021

Ormolu.Fixity.Imports

Description

Simplified representation of the import list for the purposes of fixity inference.

Synopsis

- data FixityImport = FixityImport {
  - fimportPackage :: !(Maybe PackageName)
  - fimportModule :: !ModuleName
  - fimportQualified :: !FixityQualification
  - fimportList :: !(Maybe (ImportListInterpretation, [OpName]))
  }
- extractFixityImports :: [LImportDecl GhcPs] -> [FixityImport]
- applyModuleReexports :: ModuleReexports -> [FixityImport] -> [FixityImport]

# Documentation

data FixityImport Source #

Simplified info about an import.

Constructors

FixityImport |

Fields

- fimportPackage :: !(Maybe PackageName)
- fimportModule :: !ModuleName
- fimportQualified :: !FixityQualification
- fimportList :: !(Maybe (ImportListInterpretation, [OpName]))

extractFixityImports :: [LImportDecl GhcPs] -> [FixityImport] Source #

Extract `FixityImport`s from the AST.

applyModuleReexports :: ModuleReexports -> [FixityImport] -> [FixityImport] Source #

Apply given module re-exports.